import { _decorator } from 'cc';
import { oops } from 'db://oops-framework/core/Oops';
import { GameComponent } from "db://oops-framework/module/common/GameComponent";
import { GameEvent } from '../../common/config/GameEvent';
import { UIID } from '../../common/config/GameUIConfig';

const { ccclass, property } = _decorator;

/** 显示对象控制 */
@ccclass('GameOverView')
export class GameOverView extends GameComponent {
    protected start() {
        this.setButton();
    }


    private btn_restart() {
        oops.message.dispatchEvent(GameEvent.RestartGame);
        oops.gui.remove(UIID.GameOver);
    }

    private btn_resurrection() {



    }
}